[API Reference](../README.md) > [VotableSchemeRegistrarProposal](../interfaces/VotableSchemeRegistrarProposal.md)

# Interface: VotableSchemeRegistrarProposal

## Hierarchy

**VotableSchemeRegistrarProposal**

## Index

### Properties

* [parametersHash](VotableSchemeRegistrarProposal.md#parametersHash)
* [permissions](VotableSchemeRegistrarProposal.md#permissions)
* [proposalId](VotableSchemeRegistrarProposal.md#proposalId)
* [proposalType](VotableSchemeRegistrarProposal.md#proposalType)
* [schemeAddress](VotableSchemeRegistrarProposal.md#schemeAddress)

---

## Properties

<a id="parametersHash"></a>

###  parametersHash

**● parametersHash**: *[Hash](../#Hash)*

*Defined in [wrappers/schemeRegistrar.ts:367](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/schemeRegistrar.ts#L367)*

___
<a id="permissions"></a>

###  permissions

**● permissions**: *[SchemePermissions](../enums/SchemePermissions.md)*

*Defined in [wrappers/schemeRegistrar.ts:369](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/schemeRegistrar.ts#L369)*

___
<a id="proposalId"></a>

###  proposalId

**● proposalId**: *[Hash](../#Hash)*

*Defined in [wrappers/schemeRegistrar.ts:370](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/schemeRegistrar.ts#L370)*

___
<a id="proposalType"></a>

###  proposalType

**● proposalType**: *[SchemeRegistrarProposalType](../enums/SchemeRegistrarProposalType.md)*

*Defined in [wrappers/schemeRegistrar.ts:368](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/schemeRegistrar.ts#L368)*

___
<a id="schemeAddress"></a>

###  schemeAddress

**● schemeAddress**: *[Address](../#Address)*

*Defined in [wrappers/schemeRegistrar.ts:366](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/schemeRegistrar.ts#L366)*

___

